%% Many UAV performance test
% This file runs a dummy simulation with 20 UAV for 20 seconds. It is
% intended to measure the simulation efficency by testing the time that the
% current computer needs to conclude the simulation.

close all
clear all
clc

load MPC_controller;

x0=[0;0;0;8.7917;10.3401;1.2991;0;0;0;0;0;0];

refs.time=0:.1:20;
refs.signals.dimension=12;
refs.signals.values=[zeros(201,3) ...
  [ones(100,1)*[50 30 0];ones(101,1)*[10 30 20]]...
  zeros(201,6)];

disp('Simulation started');
tic
sim('test_many',20);
toc
  
